VERSION 5.00
Object = "{C0A63B80-4B21-11D3-BD95-D426EF2C7949}#1.0#0"; "Vsflex7L.ocx"
Begin VB.Form frmMidvanTx 
   Caption         =   "MidVantx Summary"
   ClientHeight    =   7725
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   9675
   LinkTopic       =   "Form2"
   ScaleHeight     =   7725
   ScaleWidth      =   9675
   StartUpPosition =   3  'Windows Default
   Begin VSFlex7LCtl.VSFlexGrid grid 
      Height          =   6135
      Left            =   240
      TabIndex        =   0
      Top             =   840
      Width           =   9135
      _cx             =   16113
      _cy             =   10821
      _ConvInfo       =   -1
      Appearance      =   1
      BorderStyle     =   1
      Enabled         =   -1  'True
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      MousePointer    =   0
      BackColor       =   -2147483643
      ForeColor       =   -2147483640
      BackColorFixed  =   -2147483633
      ForeColorFixed  =   -2147483630
      BackColorSel    =   -2147483635
      ForeColorSel    =   -2147483634
      BackColorBkg    =   -2147483636
      BackColorAlternate=   -2147483643
      GridColor       =   -2147483633
      GridColorFixed  =   -2147483632
      TreeColor       =   -2147483632
      FloodColor      =   192
      SheetBorder     =   -2147483642
      FocusRect       =   1
      HighLight       =   1
      AllowSelection  =   -1  'True
      AllowBigSelection=   -1  'True
      AllowUserResizing=   0
      SelectionMode   =   0
      GridLines       =   1
      GridLinesFixed  =   2
      GridLineWidth   =   1
      Rows            =   50
      Cols            =   10
      FixedRows       =   1
      FixedCols       =   1
      RowHeightMin    =   0
      RowHeightMax    =   0
      ColWidthMin     =   0
      ColWidthMax     =   0
      ExtendLastCol   =   0   'False
      FormatString    =   ""
      ScrollTrack     =   0   'False
      ScrollBars      =   3
      ScrollTips      =   0   'False
      MergeCells      =   0
      MergeCompare    =   0
      AutoResize      =   -1  'True
      AutoSizeMode    =   0
      AutoSearch      =   0
      AutoSearchDelay =   2
      MultiTotals     =   -1  'True
      SubtotalPosition=   1
      OutlineBar      =   0
      OutlineCol      =   0
      Ellipsis        =   0
      ExplorerBar     =   0
      PicturesOver    =   0   'False
      FillStyle       =   0
      RightToLeft     =   0   'False
      PictureType     =   0
      TabBehavior     =   0
      OwnerDraw       =   0
      Editable        =   0
      ShowComboButton =   -1  'True
      WordWrap        =   0   'False
      TextStyle       =   0
      TextStyleFixed  =   0
      OleDragMode     =   0
      OleDropMode     =   0
      ComboSearch     =   3
      AutoSizeMouse   =   -1  'True
      FrozenRows      =   0
      FrozenCols      =   0
      AllowUserFreezing=   0
      BackColorFrozen =   0
      ForeColorFrozen =   0
      WallPaperAlignment=   9
   End
End
Attribute VB_Name = "frmMidvanTx"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Enum cCols
    cPatientId = 0
    cPatientName
    cProvName
    cNDCCode
    cDrugMedName
    cDrugECWName
    cStatus
    
    'Extra Fields
    
'    cServiceDate
'    cProviderName
'    cPatientName
'    cPayerName
'    cClaimStatus
'    cAmount
'    cPayment
'    cBalance
    cNumCols
End Enum

Private Sub Form_Load()
FormatGrid
End Sub

Private Sub FormatGrid()
    On Error GoTo vbErrorHandler

    Dim iDefColWidth As Integer
    Dim lVal    As Long

    iDefColWidth = 960
    grid.cols = cNumCols
    grid.rows = 1

    grid.ExtendLastCol = True
    grid.AllowUserResizing = flexResizeColumns

    grid.ColWidth(cPatientId) = 0

    grid.ColWidth(cPatientName) = 0.25 * iDefColWidth
    

    grid.TextMatrix(0, cPatientName) = "Patient"
    grid.ColWidth(cPatientName) = 2.25 * iDefColWidth

    grid.TextMatrix(0, cProvName) = "Provider"
    grid.ColWidth(cProvName) = 0.6 * iDefColWidth

    grid.TextMatrix(0, cNDCCode) = "NDC Code"
    grid.ColWidth(cNDCCode) = 1.9 * iDefColWidth

    grid.TextMatrix(0, cDrugMedName) = "MedVantx Drug"
    grid.ColWidth(cDrugMedName) = 0.25 * iDefColWidth

    grid.TextMatrix(0, cDrugECWName) = "ECW Drug"
    grid.ColWidth(cDrugECWName) = 0.25 * iDefColWidth

    grid.TextMatrix(0, cStatus) = "Status"
    grid.ColWidth(cStatus) = 0.25 * iDefColWidth

    
    Call HighlightRowVS(grid, 0)

    'fg.Cell(flexcpBackColor, 0, 0, 0, cNumCols) = vbBlue

    Exit Sub
vbErrorHandler:
End Sub
